### Enumeration

# Gtk ScrollStep

#### Declaration

    enum Gtk.ScrollStep

#### Description [src]

Passed as argument to various keybinding signals.

#### Members

`GTK_SCROLL_STEPS`

  Scroll in steps.

  - Value: `0`
  - Nickname: `steps`
  - Available since: 4.0
`GTK_SCROLL_PAGES`

  Scroll by pages.

  - Value: `1`
  - Nickname: `pages`
  - Available since: 4.0
`GTK_SCROLL_ENDS`

  Scroll to ends.

  - Value: `2`
  - Nickname: `ends`
  - Available since: 4.0
`GTK_SCROLL_HORIZONTAL_STEPS`

  Scroll in horizontal steps.

  - Value: `3`
  - Nickname: `horizontal-steps`
  - Available since: 4.0
`GTK_SCROLL_HORIZONTAL_PAGES`

  Scroll by horizontal pages.

  - Value: `4`
  - Nickname: `horizontal-pages`
  - Available since: 4.0
`GTK_SCROLL_HORIZONTAL_ENDS`

  Scroll to the horizontal ends.

  - Value: `5`
  - Nickname: `horizontal-ends`
  - Available since: 4.0